View Issue Details

IDProjectCategoryView StatusLast Update
0003349HTML & PERLFeature Requestpublic2019-07-24 09:52
ReporterDeth93Assigned To 
PrioritylowSeverityfeatureReproducibilityN/A
Status newResolutionopen 
Product Version 
Target VersionFixed in Version 
Summary0003349: Disallow users to edit/remove their replies in CREQs after the CREQ has been closed/dealt with.
DescriptionThe way things are now, user can submit a change request and delete their comment as long as it's the last one in the row, even after the issue has been dealt with, possibly leaving the CREQ history incomplete should one decide to recheck the issue. While that behavior is acceptable while CREQ is still open, it should be disabled for all but mods after it's been closed.
TagsNo tags attached.

Activities

CDB-Man

2019-07-08 01:21

manager   ~0004364

Alternatively if that's harder to implement, make it so that whenever a mod closes a creq (mod grant, mod force revoke, mod deny, etc), make the closing user auto-insert a comment saying "creq closed" or something so that all prior messages are locked.

When a user regular revokes a creq, it should also lock all edits of comments. Also, the user should be unable to edit the last comment if it is theirs.

Issue History

Date Modified Username Field Change
2019-06-23 18:56 Deth93 New Issue
2019-07-08 01:21 CDB-Man Note Added: 0004364
2019-07-24 09:52 DerIdiot Project AniDB Website => HTML & PERL